@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    scroll-behavior: smooth;
}

:root {
    --bg-color: #e3edf7;
    --gradient-white-bg: linear-gradient(0deg, #fff 0%, #edf4fa 51%, #e5eef7 100%);
    --gradient-color-bg: linear-gradient(180deg, rgba(247, 1, 120, 1) 0%, rgba(160, 8, 156, 1) 51%, rgba(99, 13, 178, 1) 100%);
    --main-color: #e6006d;
    --font-color: #90979f;
    --hover-box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
    --gradient-white-bg2: linear-gradient(98deg, #e5eef7 0%, #fff 100%);
}

a {
    text-decoration: none;
    color: #000;
}

body {
    font-family: 'Poppins', sans-serif;
    background: var(--bg-color);
    overflow-x: hidden;
}

header {
    padding: 15px 8%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: var(--gradient-white-bg);
    z-index: 100;
    transition: .3s;
}

header .logo {
    font-size: 1.7rem;
    font-weight: 700;
}

span {
    background: var(--gradient-color-bg);
    -webkit-background-clip: text;
    color: transparent;
}

ul.navlist {
    display: flex;
}

.navlist li {
    margin: 0 1rem;
}

.navlist li a {
    display: inline-flex;
    font-weight: 600;
}

.navlist li a:hover, .navlist li a.active {
    background: var(--gradient-color-bg);
    -webkit-background-clip: text;
    color: transparent;
}

.right-header {
    display: flex;
    align-items: center;
    justify-content: end;
    grid-gap: .8rem;
}

.btn {
    background: var(--gradient-color-bg);
    color: #fff;
    padding: 8px 10px;
    border-radius: 5px;
    font-weight: 500;
    transition: all .3s ease;
}

.btn:hover, .btn-box .d-CV:hover {
    box-shadow: var(--hover-box-shadow);
}

.menu-icon {
    position: relative;
    display: block;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.menu-icon .bar,
.menu-icon::after,
.menu-icon::before {
    content: "";
    display: none;
    width: 100%;
    height: 4px;
    border-radius: 3px;
    background: #000;
    margin: 6px 0;
    transition: .4s;
}

.menu-icon.active::before {
    transform: rotate(-45deg) translate(-6px, 6px);
}

.menu-icon.active::after {
    transform: rotate(45deg) translate(-8px, -8px);
}

.menu-icon.active .bar {
    opacity: 0;
}

section {
    padding: 90px 8%;
}

.home {
    min-height: 100vh;
    height: 100%;
    width: 100%;
    display: flex;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    grid-gap: 4em;
    background: var(--gradient-white-bg2);
}

.hero-info {
    margin-top: 3rem;
}

.hero-info h3 {
    color: var(--font-color);
    font-weight: 300;
    text-transform: uppercase;
    font-size: 1.1rem;
}

.hero-info h1 {
    font-size: 3.5rem;
}

.text-animate {
    width: 22.8rem;
    position: relative;
}

.text-animate h2 {
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 1rem;
    color: transparent;
    -webkit-text-stroke: 0.1vw #770753;
    background: var(--gradient-color-bg);
    background-repeat: no-repeat;
    -webkit-background-clip: text;
    background-position: 0 0;
    transition: .6s;
    letter-spacing: 2px;
    animation: moveText 3s linear infinite;
    animation-delay: 2s;
}

.text-animate h2::before {
    content: "";
    position: absolute;
    top: 7px;
    left: -3px;
    width: 0;
    height: 70%;
    border-right: 2px solid var(--main-color);
    animation: moveCursorText 3s linear infinite;
    animation-delay: 2s;
}

.hero-info p {
    font-size: .9rem;
    color: var(--font-color);
    line-height: 1.5rem;
}

.btn-box {
    display: flex;
    justify-content: space-between;
    width: 320px;
    margin-top: 2rem;
    margin-bottom: 6rem;
}

.btn-box .btn {
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
}

.btn-box .d-CV {
    background: var(--gradient-white-bg2);
    padding: 10px;
    border-radius: 45px;
    font-weight: 500;
    color: #000;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    transition: all .3s ease;
}

.social-media {
    display: flex;
    justify-content: space-between;
    width: 220px;
    height: 45px;
}

.social-media a {
    width: 42px;
    height: 42px;
    font-size: 1.5rem;
    color: var(--main-color);
    background: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: .4s;
    border-radius: 50%;
    z-index: 1;
}

.social-media a:hover {
    background: var(--gradient-color-bg);
    color: #fff;
}

.bg-icon {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bg-icon span {
    position: absolute;
    width: 50px;
    height: 50px;
    background: var(--gradient-color-bg);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    animation: animate 1s linear infinite;
}

.img-hero {
    position: relative;
    animation: floatImage 4s ease-in-out infinite;
    animation-delay: 3s;
    margin-top: 5rem; /* Move the image down */
}

.img-hero img {
    position: relative;
    width: 590px;
    height: auto;
    z-index: 10;
}

.rotate-text {
    position: absolute;
    top: 4%;
    left: -53px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 2rem;
}

.rotate-text span {
    position: relative;
    width: 442px;
    height: 442px;
    background: red;
    border: 6px solid #eaeef0;
    border-radius: 50%;
    z-index: 1;
    overflow: hidden;
}

.rotate-text span::before {
    content: "";
    position: absolute;
    inset: 20px;
    background: #f8f8f6;
    border-radius: 50%;
    z-index: 1;
}

.rotate-text span i {
    position: absolute;
    inset: 0;
    background: var(--gradient-color-bg);
    filter: blur(5px);
    animation: animate 2s linear infinite;
}

.rotate-text .text {
    position: absolute;
    width: 490px;
    height: 490px;
    background: #f2f6fb;
    border-radius: 50%;
    box-shadow: 0 1px 6px 5.94px rgba(0, 0, 0, 0.2);
    animation: rotateText 30s linear infinite;
}

.text b {
    position: absolute;
    transform-origin: 0 247px;
    display: block;
    top: 0;
    left: 50%;
    font-size: 1.2rem;
}

@keyframes moveText {
    0%, 10%, 100% {
        background-position: -24rem 0;
    }
    65%, 85% {
        background-position: 0rem 0;
    }
}

@keyframes moveCursorText {
    0%, 10%, 100% {
        width: 0;
    }
    65%, 78%, 85% {
        width: 100%;
        opacity: 1;
    }
    75%, 85% {
        opacity: 0;
    }
}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes rotateText {
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

@keyframes progress {
    to {
        stroke-dashoffset: var(--target);
    }
}

@keyframes floatImage {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-22px);
    }
    100% {
        transform: translateY(0);
    }
}
